org.apache.avro.perf.test

## Class BasicState

- java.lang.Object
- - org.apache.avro.perf.test.BasicState

Direct Known Subclasses:
  ArrayTest.TestStateDecode, ArrayTest.TestStateEncode, BasicArrayState, BooleanTest.TestStateDecode, BooleanTest.TestStateEncode, BytesTest.TestStateDecode, BytesTest.TestStateEncode, DoubleTest.TestStateDecode, DoubleTest.TestStateEncode, ExtendedEnumTest.TestStateDecode, ExtendedEnumTest.TestStateEncode, FloatTest.TestStateDecode, FloatTest.TestStateEncode, GenericNestedFakeTest.TestStateDecode, GenericNestedFakeTest.TestStateEncode, GenericNestedTest.TestStateDecode, GenericNestedTest.TestStateEncode, GenericStringTest.TestStateDecode, GenericStringTest.TestStateEncode, GenericTest.TestStateDecode, GenericTest.TestStateEncode, GenericWithDefaultTest.TestStateDecode, GenericWithDefaultTest.TestStateEncode, GenericWithOutOfOrderTest.TestStateDecode, GenericWithPromotionTest.TestStateDecode, IntTest.TestStateDecode, IntTest.TestStateEncode, LongTest.TestStateDecode, LongTest.TestStateEncode, MapTest.TestStateDecode, MapTest.TestStateEncode, RecordTest.TestStateDecode, RecordWithDefaultTest.TestStateDecode, RecordWithOutOfOrderTest.TestStateDecode, RecordWithPromotionTest.TestStateDecode, ReflectBigRecordTest.TestStateDecode, ReflectBigRecordTest.TestStateEncode, ReflectRecordTest.TestStateDecode, ReflectRecordTest.TestStateEncode, ResolvingRecordTest.TestStateDecode, SmallLongTest.TestStateDecode, SmallLongTest.TestStateEncode, StringTest.TestStateDecode, StringTest.TestStateEncode, UnchangedUnionTest.TestStateDecode, UnchangedUnionTest.TestStateEncode, ValidatingRecordTest.TestStateDecode, ValidatingRecordTest.TestStateEncode

    public abstract class BasicState
    extends Object

### Field Summary

Fields
`static int` `BATCH_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`BasicState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getBatchSize()`
`protected OutputStream` `getNullOutputStream()`
`protected Random` `getRandom()`
`protected org.apache.avro.io.Decoder` `newDecoder(byte[] buf)`
`protected org.apache.avro.io.Encoder` `newEncoder(boolean direct, OutputStream out)`
`protected org.apache.avro.io.Encoder` `newEncoder(int blockSize, OutputStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BATCH_SIZE

    public static final int BATCH_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### BasicState

    public BasicState()

### Method Detail

#### getRandom

    protected Random getRandom()

#### newDecoder

    protected org.apache.avro.io.Decoder newDecoder(byte[] buf)

#### newEncoder

    protected org.apache.avro.io.Encoder newEncoder(boolean direct,
                                                    OutputStream out)
                                             throws IOException

Throws:
  `IOException`

#### newEncoder

    protected org.apache.avro.io.Encoder newEncoder(int blockSize,
                                                    OutputStream out)
                                             throws IOException

Throws:
  `IOException`

#### getBatchSize

    public int getBatchSize()

#### getNullOutputStream

    protected OutputStream getNullOutputStream()